﻿using C1.WPF;
using C1.WPF.FlexGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ImageCellBindBooking
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            BookingViewModel bookingViewModel = new BookingViewModel();
            flexgrid.ItemsSource = bookingViewModel.GetDataItems();
            flexgrid.Columns["Status"].ValueConverter = new ColumnValueConverter(bookingViewModel.StatusList, true);
            flexgrid.CellFactory = new MyCellFactory(Resources["myDatatemplateSelector"] as MyTemplateSelector);
        }
    }
}
